set toolkit_dir=C:\HL2 Compile Toolkit
@ECHO OFF

CALL "%toolkit_dir%\bin\batch files\variables.bat"
set vproject_act=%steamappsusername_directory%\sourcesdk\%gamefolder%
set VPROJECT=%vproject_act%
CALL "%toolkit_dir%\bin\batch files\compile_var.bat"

IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"



IF %textures_switch% == off GOTO open_texture_directory

CALL "%toolkit_dir%\bin\batch files\compile_textures.bat"


:open_texture_directory
IF %open_texturedir_switch% == off GOTO openvmts
CALL "%toolkit_dir%\bin\batch files\open_texture_directory.bat"


:: open vmt files
:openvmts
IF %openvmts_switch% == off GOTO model_compiling
CALL "%toolkit_dir%\bin\batch files\open_vmt_files.bat"


:: commands for compiling model
:model_compiling
IF %model_switch% == off GOTO copy_models_togame

CALL "%toolkit_dir%\bin\batch files\compile_model.bat"


:: commands to copy compiled model files to game dir
:copy_models_togame
IF %copyto_game_switch% == off GOTO copyto_mod_dir

CALL "%toolkit_dir%\bin\batch files\copy_to_game.bat"


:: copy compiled model file to mod directory
:copyto_mod_dir
IF %copyto_mod_switch% == off GOTO end

CALL "%toolkit_dir%\bin\batch files\copy_to_mod.bat"


:end
echo  COMPILING COMPLETED!
pause
exit


