set toolkit_dir=C:\HL2 Compile Toolkit
@ECHO OFF

CALL "%toolkit_dir%\bin\batch files\variables.bat"
set vproject_act=%steamappsusername_directory%\sourcesdk\%gamefolder%
set VPROJECT=%vproject_act%

IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"


:: MODEL COMPILING


IF %prop_type% == False GOTO weapon_model

:prop_model
echo CREATING MODEL FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/mymodels" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/mymodels"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/mymodels" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/mymodels"

::copy_model_files
echo COPYING MODEL FILES...

COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.smd" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\mymodels"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\%modelname%.qc" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\mymodels"


CALL "%toolkit_dir%\bin\batch files\start_studiomdl.bat"


echo MODEL COMPILING COMPLETE


:: MODEL COPYING


:: commands to copy compiled model files to main dir
echo COPYING COMPILED MODEL FILES TO '%toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%'...

IF NOT EXIST "%toolkit_dir%/compiled_model_files/%modelname%" mkdir "%toolkit_dir%/compiled_model_files/%modelname%"
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%\"

GOTO end


:weapon_model

echo CREATING MODEL FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/weapons" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/weapons"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/weapons/%modelname%"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/weapons" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/weapons"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/weapons/%modelname%"

::copy_model_files
echo COPYING MODEL FILES...

COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.smd" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\weapons\%modelname%"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\%modelname%.qc" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\weapons\%modelname%"

CALL "%toolkit_dir%\bin\batch files\start_studiomdl.bat"

IF NOT EXIST "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%" mkdir "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%"
MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\*.*" "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%"


echo MODEL COMPILING COMPLETE


:: MODEL COPYING


:: commands to copy compiled model files to main dir
echo COPYING COMPILED MODEL FILES TO '%toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%'...

IF NOT EXIST "%toolkit_dir%/compiled_model_files/%modelname%" mkdir "%toolkit_dir%/compiled_model_files/%modelname%"
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\weapons\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%\"


:end
pause





