set toolkit_dir=C:\HL2 Compile Toolkit
@ECHO OFF

CALL "%toolkit_dir%\bin\batch files\variables.bat"
set vproject_act=%steamappsusername_directory%\sourcesdk\%gamefolder%
set VPROJECT=%vproject_act%
CALL "%toolkit_dir%\bin\batch files\compile_var.bat"

DEL "%toolkit_dir%\temp_finish.txt"


:: MODEL COMPILING


:: commands for compiling model
:model_compiling
IF %model_switch% == off GOTO copy_models_togame

echo CREATING MODEL FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/mymodels" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/mymodels"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/mymodels" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/mymodels"

::copy_model_files
echo COPYING MODEL FILES...

DEL /q "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\mymodels\*.*"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.smd" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\mymodels"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\%modelname%.qc" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\mymodels"

DEL /q "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\*.*"

CALL "%toolkit_dir%\bin\batch files\start_studiomdl.bat"

IF NOT EXIST "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%" mkdir "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%"
MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\*.*" "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%"


echo MODEL COMPILING COMPLETE


:: MODEL COPYING


:: commands to copy compiled model files to main dir
echo COPYING COMPILED MODEL FILES TO '%toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%'...

IF NOT EXIST "%toolkit_dir%/compiled_model_files/%modelname%" mkdir "%toolkit_dir%/compiled_model_files/%modelname%"
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\mymodels\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%\"
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%\"


:: commands to copy compiled model files to game dir
:copy_models_togame
IF %copyto_game_switch% == off GOTO copyto_mod_dir

CALL "%toolkit_dir%\bin\batch files\copy_to_game.bat"


:: copy compiled model file to mod directory
:copyto_mod_dir
IF %copyto_mod_switch% == off GOTO end

CALL "%toolkit_dir%\bin\batch files\copy_to_mod.bat"


:end
echo  COMPILING COMPLETED!
pause
exit

