set toolkit_dir=C:\HL2 Compile Toolkit
@ECHO OFF

DEL "%toolkit_dir%\temp_finish.txt"

CALL "%toolkit_dir%\bin\batch files\variables.bat"
set vproject_act=%steamappsusername_directory%\sourcesdk\%gamefolder%
set VPROJECT=%vproject_act%
CALL "%toolkit_dir%\bin\batch files\compile_var.bat"

IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"


IF %textures_switch% == off GOTO open_texture_directory

:: TEXTURE COMPILING

:: commands for compiling textures
:texture_compiling
echo CREATING TEXTURE FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/mymodels" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/mymodels"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/mymodels" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/mymodels"

:copy_texture_files
echo COPYING TEXTURE FILES...

DEL /q "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\mymodels\*.*"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.tga" "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\mymodels"

DEL /q "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\*.*"


CALL "%toolkit_dir%\bin\batch files\start_vtex.bat"

IF NOT EXIST "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%" mkdir "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%"
MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\*.*" "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%"

echo TEXTURE COMPILING COMPLETE


:open_texture_directory
IF %open_texturedir_switch% == off GOTO openvmts
CALL "%toolkit_dir%\bin\batch files\open_texture_directory.bat"


:: open vmt files
:openvmts
IF %openvmts_switch% == off GOTO end
CALL "%toolkit_dir%\bin\batch files\open_vmt_files.bat"


:end
COPY "%toolkit_dir%\bin\temp files\temp_finish.txt" "%toolkit_dir%\bin"








