set toolkit_dir=C:\HL2 Compile Toolkit
@ECHO OFF

CALL "%toolkit_dir%\bin\batch files\variables.bat"
set vproject_act=%steamappsusername_directory%\sourcesdk\%gamefolder%
set VPROJECT=%vproject_act%

IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"



:: TEXTURE COMPILING


IF NOT EXIST "%toolkit_dir%\compiled_model_files\%modelname%" mkdir "%toolkit_dir%\compiled_model_files\%modelname%"

IF %prop_type% == False GOTO weapon_model


:prop_model

echo CREATING TEXTURE FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/mymodels" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/mymodels"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/mymodels" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/mymodels"

::copy_texture_files
echo COPYING TEXTURE FILES...

DEL /q "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\mymodels\*.*"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.tga" "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\mymodels"

DEL /q "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\*.*"


CALL "%toolkit_dir%\bin\batch files\start_vtex.bat"

IF NOT EXIST "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%" mkdir "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%"
MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\*.*" "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\mymodels\%modelname%"

echo TEXTURE COMPILING COMPLETE

:: Texture Copying
echo COPYING COMPILED TEXTURE FILES TO '%toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%'...
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\mymodels\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%"

GOTO end


:weapon_model

echo CREATING TEXTURE FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/weapons" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/weapons"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/weapons/%modelname%"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/weapons" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/weapons"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/weapons/%modelname%"

:copy_texture_files
echo COPYING TEXTURE FILES...

COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.tga" "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\weapons\%modelname%"


CALL "%toolkit_dir%\bin\batch files\start_vtex.bat"


echo TEXTURE COMPILING COMPLETE

:: TEXTURE COPYING
echo COPYING COMPILED TEXTURE FILES TO '%toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%'...
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\weapons\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%"


:end
